# class ChanAssistList | Class keeping a list of ChanAssist objects. More...
Contains pure virtuals
Full name | `TelEngine::ChanAssistList`
Definition | `#include <libs/ypbx/yatepbx.h>`
Inherits | TelEngine::Module [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum { Startup = Private, Hangup, Disconnected, AssistPrivate }

#### Public Methods

- virtual ~ChanAssistList ()
- virtual bool received (Message& msg, int id)
- virtual bool received (Message& msg, int id, ChanAssist* assist)
- virtual void initialize ()
- virtual ChanAssist* create (Message& msg, const String& id)
- virtual void init (int priority = 15)
- inline ChanAssist* find (const String& id) const

#### Protected Methods

- inline ChanAssistList (const char* name, bool earlyInit = false)
- void removeAssist (ChanAssist* assist)
- inline HashList& calls ()
- inline const HashList& calls () const

## Detailed Description

Class keeping a list of ChanAssist objects. It also serves as base to implement channel assisting plugins.

enum { Startup = Private, Hangup, Disconnected, AssistPrivate } | ###

Message realy IDs

~ChanAssistList () | ### ~ChanAssistList

[virtual]

Destructor

bool received (Message& msg, int id) | ### received

[virtual]

Message handler called internally

Parameters:

msg | Received nessage
id | Numeric identifier of the message type

Returns: True if the message was handled and further processing should stop

Reimplemented from Module.

bool received (Message& msg, int id, ChanAssist* assist) | ### received

[virtual]

Message handler for an assistant object

Parameters:

msg | Received nessage
id | Numeric identifier of the message type
assist | Pointer to the matching assistant object

Returns: True if the message was handled and further processing should stop

Reimplemented from Module.

void initialize () | ### initialize

[virtual]

Method to (re)initialize the plugin

Reimplemented from Module.

ChanAssist* create (Message& msg, const String& id) | ### create

[pure virtual]

Create a new channel assistant

Parameters:

msg | Message that triggered the creation
id | Channel's identifier

Returns: Pointer to new assistant object, NULL if unacceptable

void init (int priority = 15) | ### init

[virtual]

Initialize the plugin for the first time

Parameters:

priority | Priority used to install message handlers

inline ChanAssist* find (const String& id) | ### find

[const]

Find a channel assistant by channel ID

Parameters:

id | Identifier of the assisted channel

Returns: Pointer to the assistant object

inline ChanAssistList (const char* name, bool earlyInit = false) | ### ChanAssistList

[protected]

Constructor

Parameters:

name | Name of the module
earlyInit | True to attempt to initialize module before others

void removeAssist (ChanAssist* assist) | ### removeAssist

[protected]

Removes an assistant object from list

Parameters:

assist | Object to remove from list

inline HashList& calls () | ### calls

[protected]

Access to the assisted calls list

Returns: The HashList holding the calls

inline const HashList& calls () | ### calls

[protected const]

Access to the assisted calls list

Returns: The HashList holding the calls

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.